Validate Ingestion Manifest
curl --request POST \
--url https://api.heybee.app/v1/experiments/{experiment_id}/ingestions/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"rows": [
{
"anchor": {
"type": "<string>",
"value": "<string>"
},
"variants": [
{
"asset": {
"file_path": "<string>",
"text": "<string>"
},
"candidate_key": "<string>",
"candidate_label": "<string>",
"content_hash": "<string>",
"is_exam_only": false,
"metadata": {},
"parameters": {},
"source_sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"experiment_ref": "<string>"
}
],
"add_to": "experiment",
"mode": "manifest"
}
'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/ingestions/validate"
payload = {
"idempotency_key": "<string>",
"rows": [
{
"anchor": {
"type": "<string>",
"value": "<string>"
},
"variants": [
{
"asset": {
"file_path": "<string>",
"text": "<string>"
},
"candidate_key": "<string>",
"candidate_label": "<string>",
"content_hash": "<string>",
"is_exam_only": False,
"metadata": {},
"parameters": {},
"source_sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"experiment_ref": "<string>"
}
],
"add_to": "experiment",
"mode": "manifest"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
rows: [
{
anchor: {type: '<string>', value: '<string>'},
variants: [
{
asset: {file_path: '<string>', text: '<string>'},
candidate_key: '<string>',
candidate_label: '<string>',
content_hash: '<string>',
is_exam_only: false,
metadata: {},
parameters: {},
source_sample_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
experiment_ref: '<string>'
}
],
add_to: 'experiment',
mode: 'manifest'
})
};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/ingestions/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"can_commit": true,
"idempotency_key": "<string>",
"validation_report": {
"errors": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"row": 123
}
],
"total_rows": 123,
"valid_rows": 123,
"warnings": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"row": 123
}
]
},
"mode": "manifest"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Samples
Validate Ingestion Manifest
Validate manifest payload without committing samples.
POST
/
v1
/
experiments
/
{experiment_id}
/
ingestions
/
validate
Validate Ingestion Manifest
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Validate manifest request.
⌘I

